Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class AuditEvent

    java.lang.Object
      java.util.EventObject
          com.puppycrawl.tools.checkstyle.api.AuditEvent

All Implemented Interfaces:
  java.io.Serializable

public final class AuditEvent
extends java.util.EventObject

Raw event for audit.

I'm not very satisfied about the design of this event since there are optional methods that will return null in most of the case. This will need some work to clean it up especially if we want to introduce a more sequential reporting action rather than a packet error reporting. This will allow for example to follow the process quickly in an interface or a servlet (yep, that's cool to run a check via a web interface in a source repository ;-)

Author:
  Stephane Bailliez
See Also:
  `AuditListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AuditEvent(java.lang.Object aSource)` Creates a new instance.
`AuditEvent(java.lang.Object aSrc, java.lang.String aFileName)` Creates a new `AuditEvent` instance.
`AuditEvent(java.lang.Object aSrc, java.lang.String aFileName, LocalizedMessage aMessage)` Creates a new `AuditEvent` instance.

Method Summary
`int` | `getColumn()`
`java.lang.String` | `getFileName()`
`int` | `getLine()` return the line number on the source file where the event occurred.
`LocalizedMessage` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()` return the message associated to the event.
`SeverityLevel` | `getSeverityLevel()`
`java.lang.String` | `getSourceName()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuditEvent

    public AuditEvent(java.lang.Object aSource)

  Creates a new instance.

Parameters:
  `aSource` - the object that created the event

### AuditEvent

    public AuditEvent(java.lang.Object aSrc,
                      java.lang.String aFileName)

  Creates a new `AuditEvent` instance.

Parameters:
  `aSrc` - source of the event
  `aFileName` - file associated with the event

### AuditEvent

    public AuditEvent(java.lang.Object aSrc,
                      java.lang.String aFileName,
                      LocalizedMessage aMessage)

  Creates a new `AuditEvent` instance.

Parameters:
  `aSrc` - source of the event
  `aFileName` - file associated with the event
  `aMessage` - the actual message

Method Detail

### getFileName

    public java.lang.String getFileName()

  Returns:
    the file name currently being audited or null if there is no relation to a file.

### getLine

    public int getLine()

  return the line number on the source file where the event occurred. This may be 0 if there is no relation to a file content.

  Returns:
    an integer representing the line number in the file source code.

### getMessage

    public java.lang.String getMessage()

  return the message associated to the event.

  Returns:
    the event message

### getColumn

    public int getColumn()

  Returns:
    the column associated with the message

### getSeverityLevel

    public SeverityLevel getSeverityLevel()

  Returns:
    the audit event severity level

### getSourceName

    public java.lang.String getSourceName()

  Returns:
    the name of the source for the message

### getLocalizedMessage

    public LocalizedMessage getLocalizedMessage()

  Returns:
    the localized message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD